aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/hdrcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/hdrcheck.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/hdrcheck.sh b/scripts/hdrcheck.sh
new file mode 100755
index 000000000000..b3bb683b56b6
--- /dev/null
+++ b/scripts/hdrcheck.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+for FILE in `grep '^#include <' $2 | cut -f2 -d\< | cut -f1 -d\> | egrep ^linux\|^asm` ; do
+ if [ ! -r $1/$FILE ]; then
+ echo $2 requires $FILE, which does not exist
+ exit 1
+ fi
+done